$(function ()
{
    var zindex = 10;
    var top;
    var left;

    function romanize(num) {
	var lookup = {X: 10, IX: 9, V: 5, IV: 4, I: 1},
	roman = '',
		i;
	for (i in lookup) {
	    while (num >= lookup[i]) {
		roman += i;
		num -= lookup[i];
	    }
	}
	return roman;
    }

    for (var i = 1; i <= 12; i++) {
	left = 600;
	top = 370 + ((i - 1) * 40);
	if (i>4){
	    	left = 700;
	top = 370 + ((i - 5) * 40);
	}
		if (i>8){
	    	left = 800;
	top = 370 + ((i - 9) * 40);
	}
	$('main').append('<div style="left:' + left + 'px;top:' + top + 'px;" class="textbox dragg" data-dropped="0" data-target="0" data-value="' + i + '">' + romanize(i) + '</div>');
    }


    $(".dragg").draggable({
	start: function () {
	    zindex++;
	    $(this).css('z-index', zindex);
	},
	revert: true,
	revertDuration: 800
    });

    var drop = function (event, ui) {

	if ($(this).data('value') === ui.draggable.data('value')) {
	    ui.draggable.attr('data-dropped', 1);
	    ui.draggable.draggable({revert: false}).draggable( "option", "disabled", true );
	    $(this).addClass("ok");
	    $('#jplayer_well').jPlayer('play');

	}
	else {
	    $('#jplayer_wrong').jPlayer('play');
	}
    };

    $(".cyfra").droppable({
	accept: ".textbox",
	tolerance: "pointer",
	drop: drop
    });
    $(".nazwa").droppable({
	accept: ".miesiac",
	tolerance: "pointer",
	drop: drop
    });
});